#ifndef _FINGER_CMD_H_
#define _FINGER_CMD_H_

#include "stdint.h"
#include "stdbool.h"
#include "string.h"
#include "./iic/hal.h"

I2C_Transfer_Status fingerCmdWriteAddr(I2C_PlatformInterface_t        *comPort, uint8_t addr, uint8_t addrNew);
I2C_Transfer_Status fingerCmdReadAddr(I2C_PlatformInterface_t        *comPort, uint8_t addr, uint8_t *pAddrData);
I2C_Transfer_Status fingerCmdReadVersion(I2C_PlatformInterface_t        *comPort, uint8_t addr, uint8_t *pVersion);
I2C_Transfer_Status fingerCmdReadPN(I2C_PlatformInterface_t        *comPort, uint8_t addr, uint8_t *pn);
I2C_Transfer_Status fingerCmdWriteDataType(I2C_PlatformInterface_t        *comPort, uint8_t addr, uint8_t type);
I2C_Transfer_Status fingerCmdWriteSampleOffset(I2C_PlatformInterface_t        *comPort, uint8_t addr, uint8_t offset);
I2C_Transfer_Status fingerCmdWriteSampleSync(I2C_PlatformInterface_t        *comPort, uint8_t addr);
I2C_Transfer_Status fingerCmdReadCapData(I2C_PlatformInterface_t        *comPort, uint8_t addr, uint8_t *pBuf, uint16_t len);


#endif

